bnc_thread_dia = 0.5 * 25.4;
thread_margin = 1.039;

screw_hole_dia = 10.1/64.0 * 25.4 * 1.035;

$fn = 44;

width = 55.5;
depth = 35;
height = 16;

bnc_spacing = 50/64.0 * 25.4;

mount_thickness = 10/64.0 * 25.4 * 0.985;

mount_tab_dim =12;

total_width = width + mount_thickness * 2;
total_height = height + mount_thickness * 2;
union(){
  translate([0, 0, mount_thickness]){
difference(){
  
    cube([total_width, mount_thickness, total_height]);   
  

  translate([total_width/2, -1, total_height/2]){
    rotate([-90, 0, 0]){
      cylinder(r = (bnc_thread_dia * thread_margin)/2, h = mount_thickness * 3);
    }
    translate([bnc_spacing,0,0]){
      rotate([-90, 0, 0]){
        cylinder(r = (bnc_thread_dia * thread_margin)/2, h = mount_thickness * 3);
      } 
    }
    translate([-1 * bnc_spacing,0,0]){
      rotate([-90, 0, 0]){
        cylinder(r = (bnc_thread_dia * thread_margin)/2, h = mount_thickness * 3);
      } 
    }
  }
}
}

center_support_dia = 15;

translate([-1 * mount_tab_dim, 0, 0]){
  difference(){
    union(){
      cube([total_width + mount_tab_dim * 2, mount_tab_dim, mount_thickness]);
      translate([total_width/2 + mount_tab_dim,0,0]){
        scale([1,2,1]){
          cylinder(r = center_support_dia, h = mount_thickness);
        }
      }
    }
    
    union(){
      
      translate([mount_tab_dim + total_width/2,mount_tab_dim/2 + center_support_dia,-1]){
        cylinder(r = screw_hole_dia/2, h = mount_thickness * 2);
      }
      translate([mount_tab_dim + total_width/2,mount_tab_dim/2 - center_support_dia -mount_tab_dim,-1]){
        cylinder(r = screw_hole_dia/2, h = mount_thickness * 2);
      }
      
      translate([screw_hole_dia,mount_tab_dim/2,-1]){
        cylinder(r = screw_hole_dia/2, h = mount_thickness * 2);
      }
      
      translate([total_width + mount_tab_dim*2 - screw_hole_dia,mount_tab_dim/2,-1]){
        cylinder(r = screw_hole_dia/2, h = mount_thickness * 2);
      }
    }
    
  }
}

translate([-1 * mount_thickness, 0,mount_thickness]){
  cube([mount_thickness, mount_tab_dim, total_height]);
}

translate([total_width, 0,mount_thickness]){
  difference(){
    cube([mount_thickness, mount_tab_dim, total_height * 2]);
    union(){
      translate([-1, mount_tab_dim/2, total_height + 6]){
      rotate([0,90,0]){
        cylinder(r = screw_hole_dia/2, h = mount_thickness * 2);
      }
      translate([0,0,screw_hole_dia * 2.5]){
      rotate([0,90,0]){
        cylinder(r = screw_hole_dia/2, h = mount_thickness * 2);
      }  
      }
      }
    }
  }
}
}